export function isEmpty(v) {
    switch (typeof v) {
        case 'undefined':
            return true;
        case 'string':
            if (v.replace(/(^[ \t\n\r]*)|([ \t\n\r]*$)/g, '').length == 0) return true;
            break;
        case 'boolean':
            if (!v) return true;
            break;
        case 'number':
            if (0 === v || isNaN(v)) return true;
            break;
        case 'object':
            if (null === v || v.length === 0) return true;
            for (var i in v) {
                return false;
            }
            return true;
    }
    return false;
}
export function format(datetime, format = 'yyyy-MM-dd hh:mm:ss') {
    let data = new Date(datetime);
    let o = {
        "M+": data.getMonth() + 1,
        "d+": data.getDate(),
        "H+": data.getHours(),
        "h+": data.getHours(),
        "m+": data.getMinutes(),
        "s+": data.getSeconds(),
    };
    if (/(y+)/.test(format)) {
        format = format.replace(RegExp.$1, data.getFullYear() + "").substr(4 - RegExp.$1.length);
    }
    for (let k in o) {
        if (new RegExp(`(${k})`).test(format)) {
            format = format.replace(RegExp.$1, (RegExp.$1.length === 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
        }
    }
    return format + "_" + generateMixed(6);
}
export function generateMixed(n) {
    var str = ['0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Y', 'Z'];
    var res = "";
    for (var i = 0; i < n; i++) {
        var id = Math.ceil(Math.random() * 35);
        res += str[id];
    }
    return res;
}
 export function oneValues(url) {
    var reg = new RegExp('(^|&)' + url + '=([^&]*)(&|$)', 'i');
    var r = window.location.search.substr(1).match(reg);
    if (r != null) {
        return unescape(r[2]);
    }
    return null;
}
